unit U38Tab; {STARTOVNi CISLO 38}
{U38Hl.pas, U38Tab.pas, P38.dpr}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Grids;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    tabulka: TStringGrid;
    OKButt: TButton;
    procedure OKButtClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form2: TForm2;
  minskore: integer;   {Minimalni skore, ktere je v tabulce}

procedure PridejHrace(const Jmeno: string; skore: integer);

implementation

{$R *.DFM}

procedure PridejHrace(const Jmeno: string; skore: integer);
var i: integer;
begin
  i:=11;
  while (i>1) and ((form2.tabulka.Cells[1, i-1]='') or
    (strtoint(form2.tabulka.cells[1,i-1]) < skore)) do begin
    if i<11 then begin
      form2.tabulka.cells[1,i]:=form2.tabulka.cells[1,i-1];
      form2.tabulka.cells[0,i] := form2.tabulka.cells[0,i-1];
    end;
    dec(i);
  end;
  if i<11 then begin
    form2.tabulka.cells[0,i]:= Jmeno;
    form2.tabulka.cells[1,i]:= inttostr(skore);
  end;
end;

procedure TForm2.OKButtClick(Sender: TObject);
begin
  self.close;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  minskore := -1;
end;

procedure TForm2.FormActivate(Sender: TObject);
begin
  tabulka.Cells[0,0]:= 'Jmno hre';
  tabulka.cells[1,0]:= 'Skre';
end;

end.
